Bug 1475260 - unable to provision against openstack with a volume attached
unable to provision against openstack with a volume attached
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
All All
medium Severity medium
: GA
: 5.9.0
Assigned To: Sam Lucidi
Ola Pavlenko
openstack
: TestOnly, ZStream
Depends On:
Blocks: 1482170
  Show dependency treegraph
 
Reported: 2017-07-26 06:12 EDT by Felix Dewaleyne
Modified: 2017-11-15 15:43 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1482170 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2017-07-26 06:12:45 EDT
Description of problem:
when provisioning against openstack with a volume attached, an error in volume_attachment.rb makes the provision fail

Version-Release number of selected component (if applicable):
5.8.0.17


How reproducible:
all the time

Steps to Reproduce:
1.provision against openstack with a volume attached
2.
3.

Actual results:
[----] E, [2017-07-24T10:15:40.170201 #22188:389140] ERROR -- : Q-task_id([miq_provision_1000000000470]) MIQ(ManageIQ::Providers::Openstack::CloudManager::Provision#provision_error) [[NoMethodError]: undefined method `status' for nil:NilClass] encountered during phase [poll_volumes_complete]
[----] E, [2017-07-24T10:15:40.170359 #22188:389140] ERROR -- : Q-task_id([miq_provision_1000000000470]) /var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/provision/volume_attachment.rb:28:in `block (2 levels) in do_volume_creation_check'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/provision/volume_attachment.rb:26:in `each'
[...]


Expected results:
provision passes

Additional info:
this isn't the only error present in the logs - there is also
[----] E, [2017-07-24T10:13:22.463452 #6651:389140] ERROR -- : [NoMethodError]: undefined method `name' for nil:NilClass  Method:[rescue in block in refresh]
[----] E, [2017-07-24T10:13:22.464024 #6651:389140] ERROR -- : /var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager.rb:107:in `swift_service'
/var/www/miq/vmdb/app/models/manageiq/providers/storage_manager/swift_manager/refresh_parser.rb:19:in `initialize'
/var/www/miq/vmdb/app/models/manageiq/providers/storage_manager/swift_manager/refresh_parser.rb:9:in `new'
/var/www/miq/vmdb/app/models/manageiq/providers/storage_manager/swift_manager/refresh_parser.rb:9:in `ems_inv_to_hashes'

Note You need to log in before you can comment on or make changes to this bug.